#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xzf fontconfig-2.8.0.tar.gz
    cd fontconfig-2.8.0
    ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc \
	    --with-add-fonts=/usr/lib/X11/fonts
    make
    strip -R .note -R .comment src/.libs/libfontconfig.so.1 \
	    fc-cache/.libs/fc-cache
    mkdir -p ../libfontconfig1/lib ../fc-cache/bin
    cp src/.libs/libfontconfig.so.1 ../libfontconfig1/lib/
    cp fc-cache/.libs/fc-cache ../fc-cache/bin/
    cd ..
    rm -rf fontconfig-2.8.0
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
